echo "Installing SpicyKeys..."
echo "--------------------------------------------------------------"
echo "Adding the SpicyKeys preferences applet to /boot/preferences...."
copyattr -d SpicyKeys.$BE_HOST_CPU /boot/preferences/SpicyKeys
echo "Adding link to preferences menu..."
ln -s /boot/preferences/SpicyKeys /boot/home/config/be/Preferences/SpicyKeys
mkdir /system/add-ons/input_server/filters  # filter dir may not already exist?
echo "Adding the SpicyKeyCatcher add-on to /system/add-ons/input_server/filters..."
cp SpicyKeyCatcher.$BE_HOST_CPU /system/add-ons/input_server/filters/SpicyKeyCatcher
echo "Adding the default SpicyKey settings file to /boot/home/config/settings..."
cp spicykeys_settings.sample /boot/home/config/settings/spicykeys_settings
echo ""
echo "All done!  To activate the SpicyKey system, you will need to"
echo "restart the input_server.  You can do this either by rebooting,"
echo "or by doing a 'kill -9' on the input_server's process id."
echo ""
echo "Once you have done this, you should open the SpicyKeys preferences"
echo "panel to configure your SpicyKey settings."
echo "--------------------------------------------------------------"
